#!/bin/env bash
#export QT4=/usr/lib/qt4
export QT4=../qt-x11-opensource-src-4.3.4/
export QT4I=$QT4/include
export LD_LIBRARY_PATH=$QT4/lib
if [ -e "$LD_LIBRARY_PATH/libQtCore.so.4" ]
then
  g++ -D BINUX -I. -I$QT4I -I$QT4I/Qt -I$QT4I/QtGui -I$QT4I/QtCore -Iqlcl qtpas.cpp -o libqt4intf.so -shared -fPIC libQtCore.so.4 libQtGui.so.4  -Xlinker "-soname=libqt4intf.so"
  strip --strip-all libqt4intf.so
else
  echo "Please Modify location of Qt4 in this script"
fi
